import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
  return request({
    url: '/system/goodsPayment/getSysDeptInfo',
	params: query,
    method: 'get'
  })
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
  return request({
    url: '/system/goodsPayment/getDeptInfo',
    method: 'get'
  })
}
// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}
// 查询店铺信息列表
// export function listpartner(data) {
//   return request({
//     url: '/system/goodsNotice/list',
//     method: 'post',
//     data: data
//   })
// }
//查询账号信息
export function accountMonitoring(query) {
  return request({
    url: '/system/guarantee/paginQuery',
    method: 'get',
    params: query
  })
}
//查余额
export function getBalanceYe(query) {
  return request({
    url: '/system/guarantee/balance',
    method: 'get',
    params: query
  })
}
//提现
export function tixian(data) {
  return request({
    url: '/system/guarantee/tixian',
    method: 'post',
    data: data
  })
}
//退款
export function returnAccept(data) {
  return request({
    url: '/system/guarantee/returnAccept',
    method: 'post',
    data: data
  })
}
//修改账号信息
export function edit(data) {
  return request({
    url: '/system/guarantee/accept',
    method: 'put',
    data: data
  })
}
//新增账号信息
export function add(data) {
  return request({
    url: '/system/gameAccount/add',
    method: 'post',
    data: data
  })
}


// 删除店铺信息
export function deleteMonitoring(id) {
  return request({
    url: '/system/guarantee/deleteById?id='+id,
    method: 'delete',
  })
}
// 查看账号信息
export function view(id) {
  return request({
    url: '/system/guarantee/queryById?id='+id,
    method: 'get',
  })
}

